Package com.sas.lsaf.clinical.study

## Class Study

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.clinical.study.Study

- All Implemented Interfaces:
    `Identifiable`, `java.io.Serializable`

      public class Study
      extends AbstractIdentifiable

  The class that represents a study, which is a context for which clinical metadata can be defined. Specifically, a study is a context in the repository with the study capability.
  Since:
    2.2
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Study​(java.lang.String typeId, java.lang.String id, java.lang.String name, java.lang.String path)` | It is not intended or recommended that the consumer of the API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getName()` | Gets the name of the study.
    `java.lang.String` | `getPath()` | Gets the full path of the study in the repository, which includes the name.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Study

          public Study​(java.lang.String typeId,
                       java.lang.String id,
                       java.lang.String name,
                       java.lang.String path)

      It is not intended or recommended that the consumer of the API construct these objects. They should deal only with the studies returned by the API.
      Parameters:
        `typeId` - The object type identifier of the study.
        `id` - The unique identifier of the study.
        `name` - The name of the study.
        `path` - The full path of the study in the repository, which includes the name.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the study.
      Returns:
        The name of the study.

    - #### getPath

          public java.lang.String getPath()

      Gets the full path of the study in the repository, which includes the name.
      Returns:
        The full path of the study in the repository, which includes the name.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractIdentifiable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractIdentifiable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractIdentifiable`